[arch-commits] Commit in netcf/repos (2 files)

Felix Yan felixonmars at archlinux.org
Tue Jul 7 15:13:29 UTC 2020


    Date: Tuesday, July 7, 2020 @ 15:13:29
  Author: felixonmars
Revision: 658865

archrelease: copy trunk to community-staging-x86_64

Added:
  netcf/repos/community-staging-x86_64/
  netcf/repos/community-staging-x86_64/PKGBUILD
    (from rev 658864, netcf/trunk/PKGBUILD)

----------+
 PKGBUILD |   33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

Copied: netcf/repos/community-staging-x86_64/PKGBUILD (from rev 658864, netcf/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2020-07-07 15:13:29 UTC (rev 658865)
@@ -0,0 +1,33 @@
+# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Contributor: Aurélien Wailly <aurelien.wailly at gmail.com>
+
+pkgname=netcf
+pkgver=0.2.8
+pkgrel=8
+pkgdesc="A library for configuring network interfaces"
+arch=('x86_64')
+license=('LGPL')
+url="https://pagure.io/netcf"
+depends=('augeas>=0.7.4' 'libxslt' 'libxml2' 'libnl')
+makedepends=('gcc')
+source=("https://releases.pagure.org/netcf/$pkgname-$pkgver.tar.gz") #{,.sig})
+sha256sums=('fd81d607795547807150dfdb82bd164ab2569369ab48a30cb6b0d010d17b127c')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  aclocal
+  automake --add-missing || true
+  autoreconf
+  ./configure --prefix=/usr \
+	--disable-static \
+	--with-init-script=none \
+	--with-driver=redhat \
+	--libexecdir=/usr/lib/$pkgname
+  make
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="$pkgdir" install
+  rm -rf "$pkgdir"/etc/rc.d
+}


More information about the arch-commits mailing list